Puedo instalar aplicaciones de Ubuntu en Deepin

Cuidado con instalar aplicaciones de Ubuntu en Deepin
Cuidado con instalar aplicaciones de Ubuntu en Deepin.

No, no es posible instalar con seguridad aplicaciones de Ubuntu en Deepin. Aclaramos que no está prohibido, pero por motivos de dependencias las aplicaciones desarrolladas para otros sistemas operativos, requieren de componentes diferentes (véase repositorios PPA). Tenemos una explicación sencilla para entender porqué no recomendamos instalar con aplicaciones exclusivas para otras distribuciones y qué deberías hacer al respecto.

Explicación rápida

A Deepin 20, el sistema operativo Deepin está basado en Debian pero no en su totalidad. Los programadores modificaron, tunearon y optimizaron gran parte del código de su madre para que el sistema funcione casi independientemente. De paso, Deepin tampoco es compatible con repositorios de Ubuntu, incluidos los PPA.

Si vas a instalar fuera de la tienda de aplicaciones, exige que el paquete a instalar sea compatible con Debian y requiera la menor dependencia posible para Deepin. Si tienes conocimientos suficientes revisa si el nuevo repositorio está libre de conflictos con la base de Deepin con ayuda de GDebi o la APT. Para eso, consulta al desarrollador para brindar más detalles al respecto. De lo contrario, tendrás el riesgo de tener aviso tipo emergency mode, y aún más si no llevas un software de recuperación.

Para demostrar si el paquete tiene menos problemas y es seguro para instalar en Deepin:

  • El paquete termina en deb (no RPM o TAR.XZ)
  • El paquete no tiene dependencias que no estarían disponibles en Deepin
  • El paquete no exige usar las últimas versiones de las librerías (especialmente Qt)
  • El paquete no desinstala el DDE (o DTK), indispensable para el sistema
  • El programa no muestra códigos de error durante la instalación

Recomendaciones para instalar aplicaciones de Ubuntu en Deepin

Las aplicaciones indicadas en la wiki son probadas por la comunidad. En lo posible sugerimos instalar desde los repositorios compatibles con Deepin e instalarlos manualmente (con la terminal apt install [nombre del paquete]). También puedes usar tecnología agnósticas como Appimage en lugar de paquetes deb.

Si en cambio la aplicación no ofrece estas opciones como garantía para usar sin errores o problemas de dependencias, prueba a instalar desde los paquetes de Flatpak o Snap.

Lectura adicional

Etiquetas:

¿Recomendarías este artículo?